com.google.gwt.core.ext.soyc.coderef

## Class EntityDescriptorJsonTranslator

- java.lang.Object
- - com.google.gwt.core.ext.soyc.coderef.EntityDescriptorJsonTranslator

    public class EntityDescriptorJsonTranslator
    extends java.lang.Object

Serialize/Deserialize EntityDescriptor instances to/from json.

### Field Summary

Fields
`static java.lang.String` `CLASSES`
`static java.lang.String` `ENTITY_JS`
`static java.lang.String` `ENTITY_NAME`
`static java.lang.String` `FIELDS`
`static java.lang.String` `METHOD_DEPENDENTS`
`static java.lang.String` `METHOD_ID`
`static java.lang.String` `METHODS`
`static java.lang.String` `PACKAGES`

### Method Summary

All Methods Static Methods Concrete Methods
`static PackageDescriptor` `readJson(com.google.gwt.thirdparty.json.JSONObject jsonObject)`
`static com.google.gwt.thirdparty.json.JSONObject` `writeJson(PackageDescriptor pkg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ENTITY_JS

    public static final java.lang.String ENTITY_JS

See Also:
  Constant Field Values

#### ENTITY_NAME

    public static final java.lang.String ENTITY_NAME

See Also:
  Constant Field Values

#### FIELDS

    public static final java.lang.String FIELDS

See Also:
  Constant Field Values

#### METHOD_ID

    public static final java.lang.String METHOD_ID

See Also:
  Constant Field Values

#### METHOD_DEPENDENTS

    public static final java.lang.String METHOD_DEPENDENTS

See Also:
  Constant Field Values

#### METHODS

    public static final java.lang.String METHODS

See Also:
  Constant Field Values

#### CLASSES

    public static final java.lang.String CLASSES

See Also:
  Constant Field Values

#### PACKAGES

    public static final java.lang.String PACKAGES

See Also:
  Constant Field Values

### Method Detail

#### writeJson

    public static com.google.gwt.thirdparty.json.JSONObject writeJson(PackageDescriptor pkg)
                                                               throws com.google.gwt.thirdparty.json.JSONException

Throws:
  `com.google.gwt.thirdparty.json.JSONException`

#### readJson

    public static PackageDescriptor readJson(com.google.gwt.thirdparty.json.JSONObject jsonObject)
                                      throws com.google.gwt.thirdparty.json.JSONException

Throws:
  `com.google.gwt.thirdparty.json.JSONException`